*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: poppins, sans-serif;
    user-select: none;
}
html,body{
    height: 100%;
    width: 100%;
}

.calculator{
    background-color: #222;
    max-width: 25rem;
    width: 100%;
    margin: 50px auto;
    padding:20px;
    border-radius: 10px;
}
.display{
    width: 100%;
    height: 4rem;
    background-color: #111;
    border-radius: 10px;
    color: #02ff00;
    display: flex;
    align-items: center;    
    justify-content: flex-end; 
    font-size: 2rem;
    padding: 0 20px;
}

.buttonsContainer{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr; /*repeat(4, 1fr);*/
    gap: 1rem;
    padding :20px 0px;
    
}
.buttonsContainer button{
    width: 100%;
   padding: 20px 0;
    border-radius: 10px;
    background-color: #333;
    color: white;
    border: none;
    font-size: 20px;
    user-select: none;
}

.buttonsContainer .clearBtn{
    background-color: #dc3545;
    grid-column: span 3;

}
.buttonsContainer .operator{
    background-color: #ff9500;
}

.buttonsContainer .equalsTo{
    background-color: #1e90ff;
    grid-column: span 2;

}

.buttonsContainer button:hover{
    cursor: pointer;
    opacity: 0.9;
}
.buttonsContainer button:active{
   transform: scale(0.95);
   opacity: 0.8;
}